Skip to main content
POST
/
api
/
templates
/
{template_id}
/
ai
/
chat
Error
A valid request URL is required to generate request examples
{
  "response": "<string>",
  "function_calls": [
    {}
  ],
  "new_schema": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "required": true,
      "readonly": true,
      "key": "<string>",
      "default_value": "<string>",
      "placeholder": "<string>",
      "pattern": "<string>",
      "options": [
        "<string>"
      ],
      "formula": "<string>",
      "areas": [
        {
          "x": 123,
          "y": 123,
          "w": 123,
          "h": 123,
          "page": 123,
          "attachment_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "preferences": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.spitshake.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

API token generated at Settings > API

Path Parameters

template_id
string
required

Body

application/json
messages
object[]
required

Response

200 - application/json

AI response with optional schema modifications

response
string
function_calls
object[]
new_schema
object[]